package com.sanjagh.sanjagh_flutter;

import android.app.Activity;
import android.content.Context;

import org.json.JSONException;
import org.json.JSONObject;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.JSONMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class BannerViewFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;

    private Activity activity;

    public BannerViewFactory(BinaryMessenger messenger, Activity activity) {
        super(JSONMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.activity = activity;
    }

    @Override
    public PlatformView create(Context context, int id, Object o) {
        String adUnitId = null;
        try {
            adUnitId = ((JSONObject)o).getString("adUnitId");
            if ("null".equals(adUnitId))
                adUnitId = null;
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return new BannerView(activity, messenger, id, adUnitId);
    }
}